/*!
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *    Author: flareguner
 *    E-Mail: flareguner@gmail.com
 *    Years: 2010-2010
 */

#ifndef DEFINES_H
#define DEFINES_H


#include <QtCore/QDir>
#include <QtCore/QtGlobal>
#include <QtCore/QString>



const QString qgt_appname = "qgoogletranslator";
const QString qgt_org = "qgoogletranslator";
const QString qgt_domain = "code.google.com/p/qgt";

const int qgt_version_major = 1;
const int qgt_version_minor = 2;
const int qgt_version_minorminor = 1;

// a - alpha, b - beta
const QChar release_label = 'a';

const QString qgt_version = QString("%1.%2.%3%4").
arg(QString::number(qgt_version_major)).
arg(QString::number(qgt_version_minor)).
arg(QString::number(qgt_version_minorminor)).
arg(release_label);

#define QGT_DEBUG 1

#if QGT_DEBUG
#include <QtCore/QDebug>
#endif


#define QGT_RETRANSLATE_EVENT_HANDLE(parent,e, ui) \
 parent::changeEvent(e); \
 switch (e->type()) { \
 case QEvent::LanguageChange: \
 ui->retranslateUi(this); \
 break; \
 default: \
 break; \
 }



#ifdef Q_OS_LINUX
 const QString qgt_plugins_dir = "";
 const QString qgt_l10n_dir = "/usr/share/qgoogletranslator/l10n";
 const QString qgt_config_path = QDir::homePath() + QDir::separator() +".config"
    + QDir::separator() + qgt_appname;
 const QString qgt_default_speechcmd = "/usr/bin/mpg123";
#endif


 #ifdef Q_OS_FREEBSD
  const QString qgt_plugins_dir = "";
  const QString qgt_l10n_dir = "/usr/share/qgoogletranslator/l10n";
  const QString qgt_config_path = QDir::homePath() + QDir::separator() +".config"
  + QDir::separator() + qgt_appname;
  const QString qgt_default_speechcmd = "/usr/local/bin/mpg123";
 #endif



#ifdef Q_OS_WIN32
const QString qgt_plugins_dir = ".\\plugins";
const QString qgt_languages_dir = ".\\l10n";
const QString qgt_config_path = ".";
const QString qgt_default_speechcmd = "";
#endif


const QString qgt_default_logdir_path = qgt_config_path + QDir::separator() + "logs";
const QString qgt_default_reservation_file = qgt_config_path + QDir::separator() + "reserved_words.txt";



#endif // DEFINES_H
